Fontconfig of zh_TW (Taiwan) is pointed to none, not zh_TW

Bug #49334 reported by Wen-Yen Chuang on 2006-06-11
4
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
High
Michael Vogt
ubiquity (Ubuntu)
Medium
Colin Watson

Bug Description

Binary package hint: language-selector

When users installed Ubuntu in Traditional Chinese,
/etc/fonts/language-selector.conf should be linked to /usr/share/language-selector/fontconfig/zh_TW.

However, both the Live-CD and the installation system, linked that file to /usr/share/language-selector/fontconfig/none.

It caused that those font settings for zh_TW (Taiwan) users are quite Ugly.

I re-linked language-selector.conf to zh_TW and everything looks fine.

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Is this still a problem with the current dapper/edgy?

Thanks,
 Michael

Changed in language-selector:
assignee: nobody → mvo
importance: Untriaged → High
status: Unconfirmed → Needs Info
ZhengPeng Hou (zhengpeng-hou) wrote :

how about select Chinese before you boot up livecd?

it's the same in 6.06.1-desktop.
i just checked it,

rwxrwxrwx 1 root root 44 2006-08-05 23:45 /etc/fonts/language-selector.conf -> /usr/share/language-selector/fontconfig/none

FYI, i booted up the system on livecd in your way, ZhengPeng Hou. :-)

Michael Vogt (mvo) on 2006-10-16
Changed in language-selector:
status: Needs Info → Confirmed
Michael Vogt (mvo) wrote :

This needs to be fixed in casper to make sure that it uses the correct fontconfig-voodoo. I will attach a debdiff.

Changed in language-selector:
assignee: mvo → nobody
Michael Vogt (mvo) wrote :
Michael Vogt (mvo) wrote :
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

I comited the fix for the live-session and it will be part of the next casper upload.

Changed in casper:
assignee: nobody → mvo
status: Confirmed → Fix Committed
Michael Vogt (mvo) wrote :
Changed in ubiquity:
importance: Undecided → Medium
status: Unconfirmed → In Progress
Michael Vogt (mvo) wrote :

Fix commited for ubiquity according to irc

Changed in ubiquity:
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

casper (1.76) edgy; urgency=low

  [ Colin Watson ]
  * Copy access=m2 accessibility changes into the corresponding ubiquity
    hook.
  * Remove spurious quoting from accessibility script.
  * Clear console-setup/layoutcode and console-setup/variantcode if they
    aren't supplied on the command line.

  [ Michael Vogt ]
  * scripts/casper-bottom/35fix_language_selector:
    - run fontconfig-voodoo if available to make sure that we have
      optimal fontconfig settings for the CJK languages (lp: #49334)

  [ Henrik Nilsen Omma ]
  * Fix a few accessibility items that were out of date, changing
    gnopernicus -> orca and gok -> onboard (the gok entry was missing some
    brackets as well; patch from Malone #58836, closes: Malone #65861).

 -- Colin Watson <email address hidden> Mon, 16 Oct 2006 20:20:15 +0100

Changed in casper:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) wrote :

ubiquity (1.2.3) edgy; urgency=low

  [ Colin Watson ]
  * Fix incorrect loop variable reuse in do_remove, and attempt multiple
    broken package resolution passes while removing packages (closes: Malone
    #66406).
  * Detect existing HFS bootstrap partitions during automatic partitioning
    and take account of them while validating mountpoints (closes: Malone
    #66384).
  * Fix crash on keyboard page if you select a layout with no variants.
  * Remove kernels before running update-initramfs so that we update the
    correct initramfs on powerpc. Make sure to fix up kernel/initrd symlinks
    after running update-initramfs, so that we have something to which to
    point the initrd symlink.

  [ Michael Vogt ]
  * Run fontconfig-voodoo to tweak fontconfig configuration for the selected
    language (closes: Malone #49334).

 -- Colin Watson <email address hidden> Mon, 16 Oct 2006 23:49:28 +0100

Changed in ubiquity:
assignee: nobody → kamion
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers